% This script scales the sequences, and leaves the updated scaled
% variables in the MATLAB workspace.
%
% Input: sensorScale: the value which scale


% This value must be changed after checking each pattern
% Make sure that the scale is as the highest sensor value.  Should there be
% a value that is much higher than the others (that is not intended, you
% can lower that value so that the scale does not become too high)
sensorScale = 1.9;

jointScale = jointScale;

bothArmsOut(:,5) = bothArmsOut(:,5)/jointScale;
bothArmsIn(:,5) = bothArmsIn(:,5)/jointScale;
bothArmsStill(:,5) = bothArmsStill(:,5)/jointScale

bothArmsOut(:,3) = bothArmsOut(:,3)/jointScale;
bothArmsIn(:,3) = bothArmsIn(:,3)/jointScale;
bothArmsStill(:,3) = bothArmsStill(:,3)/jointScale;

bothArmsOut(:,1:2) = bothArmsOut(:,1:2)/sensorScale;e;
bothArmsIn(:,1:2) = bothArmsIn(:,1:2)/sensorScale;
bothArmsStill(:,1:2) = bothArmsStill(:,1:2)/sensorScale;

bothArmsOut(:,6) = -bothArmsOut(:,6)/sensorScale;
bothArmsIn(:,6) = -bothArmsIn(:,6)/sensorScale;
bothArmsStill(:,6) = -bothArmsStill(:,6)/sensorScale;